package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditorDTO;
import com.gic.auth.entity.TabAuditor;
import com.gic.auth.qo.AuditorListQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

/**
 * 
 * @ClassName: TabAuditorMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:39
 */
public interface TabAuditorMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditor record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditor record);

    /**
     * 根据主键查询
     *
     * @param auditorId 主键
     * @return 实体对象
     */
    TabAuditor selectByPrimaryKey(Integer auditorId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditor record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditor record);

    /**
     * getFirstAuditor
     * @Title: getFirstAuditor
     * @Description:
     * @author zhiwj
     * @param auditorDTO
     * @return com.gic.auth.entity.TabAuditor
     * @throws
     */
    TabAuditor getFirstAuditor(AuditorDTO auditorDTO);

    /**
     * delAuditor
     * @Title: delAuditor
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return java.lang.Integer
     * @throws
     */
    Integer delAuditor(@Param("auditorId") Integer auditorId);

    /**
     * listAuditor
     * @Title: listAuditor
     * @Description:
     * @author zhiwj
     * @param auditorListQO
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabAuditor>
     * @throws
     */
    Page<TabAuditor> listAuditor(AuditorListQO auditorListQO);

    /**
     * getAuditorByOpenid
     * @Title: getAuditorByOpenid
     * @Description:
     * @author zhiwj
     * @param openid
     * @return com.gic.auth.entity.TabAuditor
     * @throws
     */
    TabAuditor getAuditorByOpenid(@Param("openid") String openid);
}