package com.gic.auth.service;

import com.gic.auth.dto.AuditorDTO;
import com.gic.auth.entity.TabAuditor;
import com.gic.auth.qo.AuditorListQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-19 16:40
 */
public interface AuditorService {
    /**
     * validAuditorNameIsRepeat
     * @Title: validAuditorNameIsRepeat
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditorName
     * @param auditorId
     * @return boolean
     * @throws
     */
    boolean validAuditorNameIsRepeat(Integer enterpriseId, String auditorName, Integer auditorId);

    /**
     * validPhoneIsRepeat
     * @Title: validPhoneIsRepeat
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param phone
     * @param auditorId
     * @return boolean
     * @throws
     */
    boolean validPhoneIsRepeat(Integer enterpriseId, String phone, Integer auditorId);

    /**
     * validOpenidIsRepeat
     * @Title: validOpenidIsRepeat
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param openid
     * @param auditorId
     * @return boolean
     * @throws
     */
    boolean validOpenidIsRepeat(Integer enterpriseId, String openid, Integer auditorId);

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param auditorDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(AuditorDTO auditorDTO);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param auditorDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer update(AuditorDTO auditorDTO);

    /**
     * getAuditor
     * @Title: getAuditor
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return com.gic.auth.entity.TabAuditor
     * @throws
     */
    TabAuditor getAuditor(Integer auditorId);

    /**
     * delAuditor
     * @Title: delAuditor
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return java.lang.Integer
     * @throws
     */
    Integer delAuditor(Integer auditorId);

    /**
     * pageAuditor
     * @Title: pageAuditor
     * @Description:
     * @author zhiwj
     * @param auditorListQO
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabAuditor>
     * @throws
     */
    Page<TabAuditor> pageAuditor(AuditorListQO auditorListQO);

    /**
     * listAuditor
     * @Title: listAuditor
     * @Description:
     * @author zhiwj
     * @param auditorListQO
     * @return java.util.List<com.gic.auth.entity.TabAuditor>
     * @throws
     */
    List<TabAuditor> listAuditor(AuditorListQO auditorListQO);

    /**
     * getAuditorByUserId
     * @Title: getAuditorByUserId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param userId
     * @return com.gic.auth.entity.TabAuditor
     * @throws
     */
    TabAuditor getAuditorByUserId(Integer enterpriseId, Integer userId);

    /**
     * getAuditorByOpenid
     * @Title: getAuditorByOpenid
     * @Description:
     * @author zhiwj
     * @param openid
     * @return com.gic.auth.entity.TabAuditor
     * @throws
     */
    TabAuditor getAuditorByOpenid(String openid);
}
