package com.gic.auth.utils.qrcode;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gic.auth.dto.AuditorDTO;
import com.gic.auth.entity.TabAuditor;
import com.gic.auth.service.AuditorService;

/**
 * 审核员二维码回调
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/5 11:09 AM 
 */
@Component
public class AuditorQrcode implements IQrcode{
    private static Logger logger = LogManager.getLogger(AuditorQrcode.class);
    @Autowired
    private AuditorService auditorService;

    @Override
    public void receiveOpenId(String customParams, String openid) {
        Integer auditorId = Integer.valueOf(customParams);
        TabAuditor auditor = this.auditorService.getAuditor(auditorId);
        if (auditor != null) {
            boolean repeat = this.auditorService.validOpenidIsRepeat(auditor.getEnterpriseId(), openid, null);
            if (repeat) {
                logger.warn("receiveOpenid失败，商户：{}下，存在重复的openid：{}", auditor.getEnterpriseId(), openid);
            } else {
                AuditorDTO auditorDTO = new AuditorDTO();
                auditorDTO.setAuditorId(auditorId);
                auditorDTO.setOpenid(openid);
                auditorDTO.setIsUse(1);
                this.auditorService.update(auditorDTO);
            }
        }
    }
}
